Tomcat-Addon 5.5.9: manager veraltet?

Hier geht es um XAMPP AddOns wie z. B. das Apache-Konfigurations-Tool Apanatschi. Irgendwelche Probleme damit oder Fragen dazu? Dann ist hier genau der richtige Ort um nachzufragen.

Tomcat-Addon 5.5.9: manager veraltet?

Postby Cyco » 09. September 2005 15:04

Hallo!

Ich benutzte XAMPP 1.4.15 unter Win XP SP2 und habe die gleichen Probleme mit dem Servlet "manager", die Tinaw unter http://community.apachefriends.org/f/viewtopic.php?t=13047&highlight=tomcat geschildert hat:

When I went to localhost:8080 I could get to the Server Status page, and the Tomcat Administration page, but when I tried to go to the Tomcat Manager page I got a error about java.lang.NoClassDefFoundError on org.apache.catalina.Deployer (I think).


Anscheinend liegt es daran, dass unter server\webapps\manager eine veraltete Version liegt, und zwar sowohl beim Addon-Installer als auch beim Zip. Die .class-Files in manager.jar sind alle vom 28.8.2004, holt man sich Tomcat von http://jakarta.apache.org/tomcat/, sind sie dagegen vom 26.3.2005.

Workaround 1: Das komplette manager-Verzeichnis aus einem jakarta-tomcat-5.5.9.zip nehmen und damit die xampp-Version ersetzten.
(Neustart nicht vergessen.)

Workaround 2: Das Addon nicht installieren und gleich jakarta-tomcat-5.5.9.zip benutzen - allerdings geht dann die automatische Integration in Apache verloren.


Im Readme steht übrigens
FIRST (!) PLEASE BE SURE YOU HAVE INSTALLED JAVA SUN J2EE 5.0 SDK !!!
ZUERST BITTE SICHER SEIN DAS JAVA SUN J2EE 5.0 SDK INSTALLIERT IST !!!
DOWNLOAD: http://java.sun.com/j2ee/download.html

Gibt es das überhaupt? EE und 5.0? Bis auf das manager-Problem läuft Tomcat bei mir auch mit jdk1.5.0_04. In der Beschreibung auf der XAMPP-Webseite steht auch
Tomcat 5.5.9 und mod_jk2/2.0.4. Für das XAMPP Basis Paket 1.4.15 oder höher. BENÖTIGT SUN J2SE SDK 5.0.

Das scheint es besser zu treffen.

CU,
Cyco
Cyco
 
Posts: 3
Joined: 09. September 2005 14:02

Nachtrag / Ergänzung

Postby Cyco » 12. September 2005 15:17

Hallo!

... I got a error about java.lang.NoClassDefFoundError on org.apache.catalina.Deployer

Das Interface org.apache.catalina.Deployer scheint es in Tomcat 5 nicht mehr zu geben.

In Tomcat 4.1 ist es noch aufgelistet (http://jakarta.apache.org/tomcat/tomcat-4.1-doc/catalina/docs/api/org/apache/catalina/core/package-tree.html)
Code: Select all
class org.apache.catalina.core.StandardHost (implements org.apache.catalina.Deployer, org.apache.catalina.Host)


In Tomcat 5.5 dagegen nicht mehr (http://jakarta.apache.org/tomcat/tomcat-5.5-doc/catalina/docs/api/org/apache/catalina/core/package-tree.html)
Code: Select all
class org.apache.catalina.core.StandardHost (implements org.apache.catalina.Host)


Der Manager ist also tatsächlich veraltet.

CU,
Cyco
Cyco
 
Posts: 3
Joined: 09. September 2005 14:02


Return to XAMPP AddOns

Who is online

Users browsing this forum: No registered users and 1 guest